/*
 * // Copyright 2024 (c) the Radzivon Bartoshyk. All rights reserved.
 * //
 * // Use of this source code is governed by a BSD-style
 * // license that can be found in the LICENSE file.
 */

mod acos;
mod acosf;
mod asin;
mod asinf;
mod atan;
mod atan2;
mod atan2f;
mod atanf;
mod cbrtf;
mod cos;
mod cosf;
mod epi32;
mod epi64;
mod exp;
mod expf;
mod fmod;
mod fmodf;
mod general;
mod generalf;
mod hypot;
mod hypot3;
mod hypot3f;
mod hypot4;
mod hypot4f;
mod hypotf;
mod ln;
mod lnf;
mod pow;
mod powf;
mod saturation_epi32;
mod sin;
mod sinf;
mod tan;
mod tanf;

pub use acos::_mm256_acos_pd;
pub use acosf::_mm256_acos_ps;
pub use asinf::_mm256_asin_ps;
pub use atan::_mm256_atan_pd;
pub use atan2::_mm256_atan2_pd;
pub use atan2f::_mm256_atan2_ps;
pub use atanf::_mm256_atan_ps;
pub use cbrtf::_mm256_cbrt_fast_ps;
pub use cbrtf::_mm256_cbrt_ps;
pub use cos::_mm256_cos_pd;
pub use cosf::_mm256_cos_ps;
pub use epi32::_mm256_blendv_epi32;
pub use epi32::_mm256_cmpge_epu16;
pub use epi32::_mm256_cmpge_epu32;
pub use epi32::_mm256_cmpgt_epu16;
pub use epi32::_mm256_cmpgt_epu32;
pub use epi32::_mm256_cmple_epu16;
pub use epi32::_mm256_cmple_epu32;
pub use epi32::_mm256_cmplt_epu16;
pub use epi32::_mm256_cmplt_epu32;
pub use epi32::_mm256_neg_epi32;
pub use epi64::_mm256_cvtepi64_epi32x;
pub use epi64::_mm256_max_epi64x;
pub use epi64::_mm256_min_epi64x;
pub use epi64::_mm256_mul_epi64;
pub use epi64::_mm256_mul_epu64;
pub use epi64::_mm256_neg_epi64;
pub use epi64::_mm256_packs_epi64;
pub use epi64::_mm256_packts_epi64;
pub use epi64::_mm256_packus_epi64;
pub use epi64::_mm256_srai_epi64x;
pub use exp::_mm256_exp_pd;
pub use exp::_mm256_expq_fast_pd;
pub use expf::_mm256_exp_ps;
pub use expf::_mm256_expq_fast_ps;
pub use fmod::_mm256_fmod_pd;
pub use fmodf::_mm256_fmod_ps;
pub use general::_mm256_abs_pd;
pub use general::_mm256_copysign_pd;
pub use general::_mm256_cvtepi64_pdx;
pub use general::_mm256_cvtpd_epu64x;
pub use general::_mm256_extract_pd;
pub use general::_mm256_ilogb2k_pd;
pub use general::_mm256_isinf_pd;
pub use general::_mm256_isnan_pd;
pub use general::_mm256_isneginf_pd;
pub use general::_mm256_ldexp3k_pd;
pub use general::_mm256_mlaf_pd;
pub use general::_mm256_neg_pd;
pub use general::_mm256_pow2i_epi64;
pub use general::_mm256_prefer_fma_pd;
pub use general::_mm256_rint_pd;
pub use general::_mm256_select_pd;
pub use general::_mm256_selecti_pd;
pub use generalf::_mm256_abs_ps;
pub use generalf::_mm256_eqzero_ps;
pub use generalf::_mm256_extract_ps;
pub use generalf::_mm256_ilogb2kq_ps;
pub use generalf::_mm256_isinf_ps;
pub use generalf::_mm256_isnan_ps;
pub use generalf::_mm256_isneginf_ps;
pub use generalf::_mm256_isnotintegral_ps;
pub use generalf::_mm256_ldexp3kq_ps;
pub use generalf::_mm256_ltzero_ps;
pub use generalf::_mm256_mlaf_ps;
pub use generalf::_mm256_neg_ps;
pub use generalf::_mm256_pow2if_epi32;
pub use generalf::_mm256_prefer_fma_ps;
pub use generalf::_mm256_rint_ps;
pub use generalf::_mm256_select_ps;
pub use generalf::_mm256_selecti_ps;
pub use hypot::_mm256_hypot_fast_pd;
pub use hypot::_mm256_hypot_pd;
pub use hypot3::_mm256_hypot3_fast_pd;
pub use hypot3::_mm256_hypot3_pd;
pub use hypot3f::_mm256_hypot3_fast_ps;
pub use hypot3f::_mm256_hypot3_ps;
pub use hypot4::_mm256_hypot4_fast_pd;
pub use hypot4::_mm256_hypot4_pd;
pub use hypot4f::_mm256_hypot4_fast_ps;
pub use hypot4f::_mm256_hypot4_ps;
pub use hypotf::_mm256_hypot_fast_ps;
pub use hypotf::_mm256_hypot_ps;
pub use ln::_mm256_ln_fast_pd;
pub use ln::_mm256_ln_pd;
pub use lnf::_mm256_ln_fast_ps;
pub use lnf::_mm256_ln_ps;
pub use pow::_mm256_pow_fast_pd;
pub use pow::_mm256_pow_pd;
pub use powf::_mm256_pow_fast_ps;
pub use powf::_mm256_pow_ps;
pub use saturation_epi32::_mm256_adds_epi32;
pub use saturation_epi32::_mm256_adds_epu32;
pub use saturation_epi32::_mm256_subs_epi32;
pub use sin::_mm256_sin_pd;
pub use sinf::_mm256_sin_ps;
pub use tan::_mm256_tan_pd;
pub use tanf::_mm256_tan_ps;
